Subject: Re: bug#15829: Opening nnfolder server on archive...failed

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 30 Jan 2014 17:16:17 -0800

Sam Steingold <[email-masked]> writes:

> Warning: Opening nnfolder server on archive...failed: ; Unable to open
> server nnfolder+archive due to: Creating directory: Operation not
> supported, /home/sds
>
> this is because on mac the home is in /Users, not /home.
> I can, of course, customize nnfolder-directory and nnfolder-active-file,
> but this seems wrong as I am not using nnfolder for anything.

(defvoo nnfolder-directory (expand-file-name message-directory)
  "The name of the nnfolder directory.")

message-directory
=> "~/Mail/"

So ... is ~ expanding to the wrong directory on Mac?

Anyway, could you set `debug-on-error' to t and post the backtrace you
get?  It shouldn't be trying to create any directories on open, I think...

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/